react native 질문


(snooplee) #1

리엑트 네이티브 안드로이드용 구글플레이에서 11월 부터 API level 26이상이 필요하다 하여 targetSdkVersion을 26으로 바꾸고 build는 성공이라고 나오는데 계속 이뮬레이터에서 돌릴때 앱이 멈추고 아예 열리지 않는데요 혹시 방법아시는분 계신가요?
하단자료에서는 퍼미션을 구현해야한다는데 제가 너무 처음이라… 혹시 어떻게 구현하시는지 하시는분 계신가요?
예를들어 import { PermissionsAndroid } from ‘react-native’; 을 어떤 파일에 만들어 적용을하는지도 헷갈려서요 ㅠㅜ

감사합니다!

https://facebook.github.io/react-native/docs/permissionsandroid.html


(이종은(Jong Lee)) #2

네이티브쪽 log도 확인해 보세요. 어디가 문제인지 힌트가 있을 겁니다.

$ react-native log-ios
$ react-native log-android